/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat/kovaplus.h"
#include <stdlib.h>
#include <string.h>

static gchar const * const actual_profile_name = "actual_profile";

guint kovaplus_actual_profile_read(RoccatDevice *kovaplus, GError **error) {
	guint result;
	gchar *string = roccat_device_read(kovaplus, actual_profile_name, 0, error);
	if (*error) return 0;
	result = strtoul(string, NULL, 10);
	g_free(string);
	return result;
}

gboolean kovaplus_actual_profile_write(RoccatDevice *kovaplus, guint profile_index, GError **error) {
	gboolean result;
	gchar *string;

	g_assert(profile_index < KOVAPLUS_PROFILE_NUM);
	string = g_strdup_printf("%i", profile_index);
	result = roccat_device_write(kovaplus, actual_profile_name, string, strlen(string), error);
	g_free(string);
	return result;
}
